## ros-melodic-rqt-moveit 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_moveit)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_moveit
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-moveit (0.5.7-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 25 Apr 2017 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.6-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.5-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.4-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 18 Sep 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.3-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 15 May 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.2-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 28 Apr 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.1-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 27 Apr 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.0-0stretch) stretch; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.3-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 07 Mar 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.2-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 23 Jul 2015 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.1-0stretch) stretch; urgency=high

  * marking plugin as experimental for now

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 29 Apr 2015 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.0-0stretch) stretch; urgency=high

  * update script to use full plugin name

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 04 Nov 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.7-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 17 Aug 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.6-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.5-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 01 Jun 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.4-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 06 May 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.3-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 27 Jan 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.2-0stretch) stretch; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 07 Jan 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.1-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 08 Oct 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.0-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 27 Aug 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.16-0stretch) stretch; urgency=high

  * First public release for Hydro
  * Fix; Monitoring parameter doesn't turn to "No" even after the params are gone bug (#25 ros-visualization/rqt_robot_plugins#25 <https://github.com/ros-visualization/rqt_robot_plugins/issues/25>)
  * Refactoring
    
      * Removed unnecessary dependency (ie. rqt_moveit doesn't depend on any of MoveIt! packages)
      * Common steps ported to rqt_py_common pkg
      * Add exception handling around rosnode_ping
    
  * Notation corrected (MoveIt! is correct) @davetcoleman

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 08 Jul 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.15-0stretch) stretch; urgency=high

  * Fix
    
      * monitoring parameter wasn't working
      * Removed dependency to MoveIt! (#20 <https://github.com/rqt_robot_plugins/rqt_robot_plugins/issues/20>)
      * segfaults when plugin shutdown bug (#14 <https://github.com/rqt_robot_plugins/rqt_robot_plugins/issues/14>)
    
  * Enhancement
    
      * Change refresh rate enhancement (#15 <https://github.com/rqt_robot_plugins/rqt_robot_plugins/issues/15>)
      * More efficient GUI layout (packed empty regions)
      * Layout improve (adjust width of tableview to its contents length)
      * Add clarification to its name displayed on rqt_gui (rqt_moveit only monitors, not interact with Moveit!).
    

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 24 Apr 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.14-0stretch) stretch; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 11 Apr 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.13-0stretch) stretch; urgency=high

  * First public release for Groovy

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 08 Apr 2013 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-rqt-moveit
Section: misc
Priority: extra
Maintainer: Isaac I.Y. Saito <iisaito@kinugarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/rqt_moveit
Standards-Version: 3.9.2

Package: ros-melodic-rqt-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-python-qt-binding (>= 0.2.19), ros-melodic-rosnode, ros-melodic-rospy, ros-melodic-rostopic, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-rqt-py-common, ros-melodic-rqt-topic, ros-melodic-sensor-msgs
Description: An rqt-based tool that assists monitoring tasks for MoveIt! motion planner developers and users.
 Currently the following items are monitored if they are either running, existing or published: Node: /move_group Parameter: [/robot_description, /robot_description_semantic] Topic: Following types are monitored. Published &quot;names&quot; are ignored. [sensor_msgs/PointCloud, sensor_msgs/PointCloud2, sensor_msgs/Image, sensor_msgs/CameraInfo] Since this package is not made by the MoveIt! development team (although with assistance from the them), please post issue reports to the designated tracker (not MoveIt!'s main tracker).

## ros-melodic-rqt-moveit 0.5.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rqt_moveit)
 # Load catkin and all dependencies required for this package
 find_package(catkin REQUIRED)
@@ -13,6 +13,6 @@
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )
 
-install(PROGRAMS scripts/rqt_moveit
+catkin_install_python(PROGRAMS scripts/rqt_moveit
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-rqt-moveit (0.5.10-1bionic) bionic; urgency=high

  * fixed renaming of xmlrpc in python 3

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 06 Apr 2021 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.9-1bionic) bionic; urgency=high

  * use catkin_install_python instead of install

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 01 Jun 2020 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.8-1bionic) bionic; urgency=high

  * updated package to format 3

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sat, 18 Apr 2020 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.7-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 25 Apr 2017 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.6-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.5-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.4-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 18 Sep 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.3-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 15 May 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.2-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 28 Apr 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.1-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 27 Apr 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.5.0-1bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 26 Apr 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.3-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 07 Mar 2016 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.2-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 23 Jul 2015 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.1-1bionic) bionic; urgency=high

  * marking plugin as experimental for now

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 29 Apr 2015 15:00:00 -0000

ros-melodic-rqt-moveit (0.4.0-1bionic) bionic; urgency=high

  * update script to use full plugin name

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 04 Nov 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.7-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 17 Aug 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.6-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.5-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Sun, 01 Jun 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.4-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 06 May 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.3-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 27 Jan 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.2-1bionic) bionic; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 07 Jan 2014 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.1-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 08 Oct 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.3.0-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Tue, 27 Aug 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.16-1bionic) bionic; urgency=high

  * First public release for Hydro
  * Fix; Monitoring parameter doesn't turn to "No" even after the params are gone bug (#25 ros-visualization/rqt_robot_plugins#25 <https://github.com/ros-visualization/rqt_robot_plugins/issues/25>)
  * Refactoring
    
      * Removed unnecessary dependency (ie. rqt_moveit doesn't depend on any of MoveIt! packages)
      * Common steps ported to rqt_py_common pkg
      * Add exception handling around rosnode_ping
    
  * Notation corrected (MoveIt! is correct) @davetcoleman

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 08 Jul 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.15-1bionic) bionic; urgency=high

  * Fix
    
      * monitoring parameter wasn't working
      * Removed dependency to MoveIt! (#20 <https://github.com/rqt_robot_plugins/rqt_robot_plugins/issues/20>)
      * segfaults when plugin shutdown bug (#14 <https://github.com/rqt_robot_plugins/rqt_robot_plugins/issues/14>)
    
  * Enhancement
    
      * Change refresh rate enhancement (#15 <https://github.com/rqt_robot_plugins/rqt_robot_plugins/issues/15>)
      * More efficient GUI layout (packed empty regions)
      * Layout improve (adjust width of tableview to its contents length)
      * Add clarification to its name displayed on rqt_gui (rqt_moveit only monitors, not interact with Moveit!).
    

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Wed, 24 Apr 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.14-1bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Thu, 11 Apr 2013 15:00:00 -0000

ros-melodic-rqt-moveit (0.2.13-1bionic) bionic; urgency=high

  * First public release for Groovy

 -- Isaac I.Y. Saito <iisaito@kinugarage.com>  Mon, 08 Apr 2013 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-rqt-moveit
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Isaac I.Y. Saito <iisaito@kinugarage.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
+Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin
 Homepage: http://wiki.ros.org/rqt_moveit
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-moveit//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
